Incoming emails from Apple Mail not parsed correctly
Priority: Normal Due date:  

Assignee:  % Done: 0%
Target version:    

Resolution: Fixed Affected version: 1.0.1

Description

Following this discussion on the forum, there seems to be a bug in the interpretation of mails sent to Redmine from Apple Mail. The

server is not interpreting the plain text part of the message and all line breaks/paragraphs are stripped from the message. Moreover,

the delimiter set in the Redmine Settings is then not applied (because it doesn't find a single line with only the delimiter).

Tested on Redmine 1.01 (running on Ubuntu 8.04), mails received from IMAP. Mails were sent from Apple Mail (latest build) via

Exchange 2007 or IMAP (Gmail).

Plain text messages sent from Apple Mail are interpreted correctly, so it only appears when the messages are sent in Rich Text

format.

Related issues:

Related to Redmine - Feature #16962: Better handle html-only emails Closed

History

#1 - 2011-01-18 17:08 - andra lungu

I have the same problem with Ubuntu Server 10.04, redmine v1.1.0 with any kind of client sending not plain text mails. I've changed my production

environment as follow:

config.logger = Logger.new(config.log_path, 7, 1048576)

config.logger.level = Logger::DEBUG

config.action_controller.consider_all_requests_local = true

config.action_mailer.raise_delivery_errors = true

#config.action_mailer.logger = nil

In the production.log, atfer sending an email containing as body

"aaaaa aaa

aaaa

aaaa

aaaa

aa"

I retrieve these lines in the part of "Receiving message #ID":

    "Content-Type: text/html; charset="us-ascii" 

    Content-Transfer-Encoding: quoted-printable

    MIME-Version: 1.0

    <html><head><style type=3D"text/css"><!-- DIV {margin:0px;} --></style></he=

    ad><body><div style=3D"font-family:times new roman,new york,times,serif;fon=

    t-size:12pt"><div>aaaaa aaa<br>aaaa<br>aaaa<br>aaaa<br>aa<br></div>

    </div><br>

          </body></html>=" 

That I suppose it's the body before being parsed. After being parsed, in the description of the issue and also in the notification mail it becomes like

this:

"aaaaa aaaaaaaaaaaaaaaaa"    

I don't have any knowledge of ruby but I think the problem is with plain_text_body inside mail_handler.rb .

#2 - 2011-01-19 16:51 - andra lungu

In order to understand better if this issue was related to our configuration or to redmine only, I've tested it also on a BitNami Redmine Stack that ships

with the following software versions:
- Redmine 1.1.0

  - Apache 2.2.17

  - ImageMagick 6.5.6-8-Q8

  - MySQL 5.0.83

  - Subversion 1.6.6

  - Ruby 1.8.7-p249-i386-mingw32

  - Rails 2.3.9

  - RubyGems 1.3.7

 I've changed only email.yml obviously. Gives the same problem.

#3 - 2011-07-05 06:39 - Anton Nepomnyaschih

+1

#4 - 2019-02-10 05:13 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

This problem should have been fixed in Redmine 3.1.0 (#16962).

#5 - 2019-02-10 05:15 - Go MAEDA

- Related to Feature #16962: Better handle html-only emails added
